Index: svn/src/northbridge/amd/gx2/northbridgeinit.c
===================================================================
--- svn.orig/src/northbridge/amd/gx2/northbridgeinit.c
+++ svn/src/northbridge/amd/gx2/northbridgeinit.c
@@ -112,10 +112,10 @@ writeglmsr(struct gliutable *gl){
 	msr.lo = gl->lo;
 	msr.hi = gl->hi;
 	wrmsr(gl->desc_name, msr);	// MSR - see table above
-	printk(BIOS_DEBUG, "%s: write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk(DEBUG, "%s: write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 	/* they do this, so we do this */
 	msr = rdmsr(gl->desc_name);
-	printk(BIOS_DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk(DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 }
 
 static void
@@ -147,7 +147,7 @@ SysmemInit(struct gliutable *gl)
 	 * system. We will adjust for SMM and DMM now and Frame Buffer later.
 	 */
 	sizembytes = sizeram();
-	printk(BIOS_DEBUG, "%s: enable for %dm bytes\n", __func__, sizembytes);
+	printk(DEBUG, "%s: enable for %dm bytes\n", __func__, sizembytes);
 	sizebytes = sizembytes << 20;
 
 	sizebytes -= SMM_SIZE*1024 +1;
@@ -164,7 +164,7 @@ SysmemInit(struct gliutable *gl)
 	msr.lo = sizebytes;
 	wrmsr(gl->desc_name, msr);	// MSR - see table above
 	msr = rdmsr(gl->desc_name);
-	printk(BIOS_DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__,
+	printk(DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__,
 				gl->desc_name, msr.hi, msr.lo);
 	
 }
@@ -177,11 +177,11 @@ DMMGL0Init(struct gliutable *gl) {
 	if (! havedmi)
 		return;
 
-	printk(BIOS_DEBUG, "%s: %d bytes\n", __func__, sizebytes);
+	printk(DEBUG, "%s: %d bytes\n", __func__, sizebytes);
 
 	sizebytes -= DMM_SIZE*1024;
 	offset = sizebytes - DMM_OFFSET;
-	printk(BIOS_DEBUG, "%s: offset is 0x%08lx\n", __func__, offset);
+	printk(DEBUG, "%s: offset is 0x%08lx\n", __func__, offset);
 	offset >>= 12;
 	msr.hi = (gl->hi) | (offset << 8);
 	/* I don't think this is needed */
@@ -192,7 +192,7 @@ DMMGL0Init(struct gliutable *gl) {
 	
 	wrmsr(gl->desc_name, msr);	// MSR - See table above
 	msr = rdmsr(gl->desc_name);
-	printk(BIOS_DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk(DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 	
 }
 static void
@@ -202,7 +202,7 @@ DMMGL1Init(struct gliutable *gl) {
 	if (! havedmi)
 		return;
 
-	printk(BIOS_DEBUG, "%s:\n", __func__ );
+	printk(DEBUG, "%s:\n", __func__ );
 
 	msr.hi = gl->hi;
 	/* I don't think this is needed */
@@ -210,12 +210,12 @@ DMMGL1Init(struct gliutable *gl) {
 	msr.hi |= (DMM_OFFSET >> 24);
 	msr.lo = DMM_OFFSET << 8;
 	/* hmm. AMD source has SMM here ... SMM, not DMM? We think DMM */
-	printk(BIOS_ERR, "%s: warning, using DMM_SIZE even though AMD used SMM_SIZE\n", __func__);
+	printk(ERROR, "%s: warning, using DMM_SIZE even though AMD used SMM_SIZE\n", __func__);
 	msr.lo |= ((~(DMM_SIZE*1024)+1)>>12)&0xfffff;
 	
 	wrmsr(gl->desc_name, msr);	// MSR - See table above
 	msr = rdmsr(gl->desc_name);
-	printk(BIOS_DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk(DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 }
 static void
 SMMGL0Init(struct gliutable *gl) {
@@ -228,10 +228,10 @@ SMMGL0Init(struct gliutable *gl) {
 	if (havedmi)
 		sizebytes -= DMM_SIZE * 1024;
 
-	printk(BIOS_DEBUG, "%s: %d bytes\n", __func__, sizebytes);
+	printk(DEBUG, "%s: %d bytes\n", __func__, sizebytes);
 
 	offset = sizebytes - SMM_OFFSET;
-	printk(BIOS_DEBUG, "%s: offset is 0x%08lx\n", __func__, offset);
+	printk(DEBUG, "%s: offset is 0x%08lx\n", __func__, offset);
 	offset >>= 12;
 
 	msr.hi = offset << 8;
@@ -242,12 +242,12 @@ SMMGL0Init(struct gliutable *gl) {
 	
 	wrmsr(gl->desc_name, msr);	// MSR - See table above
 	msr = rdmsr(gl->desc_name);
-	printk(BIOS_DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk(DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 }
 static void
 SMMGL1Init(struct gliutable *gl) {
 	msr_t msr;
-	printk(BIOS_DEBUG, "%s:\n", __func__ );
+	printk(DEBUG, "%s:\n", __func__ );
 
 	msr.hi = gl->hi;
 	/* I don't think this is needed */
@@ -258,7 +258,7 @@ SMMGL1Init(struct gliutable *gl) {
 	
 	wrmsr(gl->desc_name, msr);	// MSR - See table above
 	msr = rdmsr(gl->desc_name);
-	printk(BIOS_DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk(DEBUG, "%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 }
 
 static void
@@ -350,7 +350,7 @@ static void GLPCIInit(void){
 		/* So we need a high page aligned addresss (pah) and low page aligned address (pal)
 		 * pah is from msr.hi << 12 | msr.low >> 20. pal is msr.lo << 12
 		 */
-		printk(BIOS_DEBUG, "GLPCI r1: system msr.lo 0x%08x msr.hi 0x%08x\n", msr.lo, msr.hi);
+		printk(DEBUG, "GLPCI r1: system msr.lo 0x%08x msr.hi 0x%08x\n", msr.lo, msr.hi);
 		pah = ((msr.hi &0xff) << 12) | ((msr.lo >> 20) & 0xfff);
 		/* we have the page address. Now make it a page-aligned address */
 		pah <<= 12;
@@ -359,7 +359,7 @@ static void GLPCIInit(void){
 		msr.hi =  pah;
 		msr.lo =  pal;
 		msr.lo |= GLPCI_RC_LOWER_EN_SET | GLPCI_RC_LOWER_PF_SET | GLPCI_RC_LOWER_WC_SET;
-		printk(BIOS_DEBUG, "GLPCI r1: system msr.lo 0x%08x msr.hi 0x%08x\n", msr.lo, msr.hi);
+		printk(DEBUG, "GLPCI r1: system msr.lo 0x%08x msr.hi 0x%08x\n", msr.lo, msr.hi);
 		msrnum = GLPCI_RC1;
 		wrmsr(msrnum, msr);
 	}
@@ -507,10 +507,10 @@ performance:
 
 	for(i = 0; gating->msrnum != 0xffffffff; i++) {
 		msr = rdmsr(gating->msrnum);
-		printk(BIOS_DEBUG, "%s: MSR 0x%08lx is 0x%08x:0x%08x\n", __func__, gating->msrnum, msr.hi, msr.lo);
+		printk(DEBUG, "%s: MSR 0x%08lx is 0x%08x:0x%08x\n", __func__, gating->msrnum, msr.hi, msr.lo);
 		msr.hi |= gating->msr.hi;
 		msr.lo |= gating->msr.lo;
-		printk(BIOS_DEBUG, "%s: MSR 0x%08lx will be set to  0x%08x:0x%08x\n", __func__,
+		printk(DEBUG, "%s: MSR 0x%08lx will be set to  0x%08x:0x%08x\n", __func__,
 			gating->msrnum, msr.hi, msr.lo);
 		wrmsr(gating->msrnum, msr);	// MSR - See the table above
 		gating +=1;
@@ -526,11 +526,11 @@ GeodeLinkPriority(void){
 
 	for(i = 0; prio->msrnum != 0xffffffff; i++) {
 		msr = rdmsr(prio->msrnum);
-		printk(BIOS_DEBUG, "%s: MSR 0x%08lx is 0x%08x:0x%08x\n", __func__, prio->msrnum, msr.hi, msr.lo);
+		printk(DEBUG, "%s: MSR 0x%08lx is 0x%08x:0x%08x\n", __func__, prio->msrnum, msr.hi, msr.lo);
 		msr.hi |= prio->msr.hi;
 		msr.lo &= ~0xfff;
 		msr.lo |= prio->msr.lo;
-		printk(BIOS_DEBUG, "%s: MSR 0x%08lx will be set to 0x%08x:0x%08x\n", __func__,
+		printk(DEBUG, "%s: MSR 0x%08lx will be set to 0x%08x:0x%08x\n", __func__,
 			prio->msrnum, msr.hi, msr.lo);
 		wrmsr(prio->msrnum, msr);	// MSR - See the table above
 		prio +=1;
@@ -772,7 +772,7 @@ northbridgeinit(void)
 {
 	msr_t msr;
 	int i;
-	printk(BIOS_DEBUG, "Enter %s\n", __func__);
+	printk(DEBUG, "Enter %s\n", __func__);
 
 	for(i = 0; gliutables[i]; i++)
 		GLIUInit(gliutables[i]);
@@ -803,6 +803,6 @@ northbridgeinit(void)
 	ClockGatingInit();
 	__asm__("FINIT\n");
 	/* CPUBugsFix -- called elsewhere */
-	printk(BIOS_DEBUG, "Exit %s\n", __func__);
+	printk(DEBUG, "Exit %s\n", __func__);
 }
 
Index: svn/src/northbridge/amd/lx/grphinit.c
===================================================================
--- svn.orig/src/northbridge/amd/lx/grphinit.c
+++ svn/src/northbridge/amd/lx/grphinit.c
@@ -70,7 +70,7 @@ void graphics_init(void)
 	uint16_t wClassIndex, wData, res;
 
 	/* SoftVG initialization */
-	printk(BIOS_DEBUG, "Graphics init...\n");
+	printk(DEBUG, "Graphics init...\n");
    
 	geodelx_vga_msr_init();
    
@@ -99,5 +99,5 @@ void graphics_init(void)
 	vrWrite(wClassIndex, wData);
 
 	res = vrRead(wClassIndex);
-	printk(BIOS_DEBUG, "VRC_VG value: 0x%04x\n", res);
+	printk(DEBUG, "VRC_VG value: 0x%04x\n", res);
 }
Index: svn/src/northbridge/amd/lx/northbridge.c
===================================================================
--- svn.orig/src/northbridge/amd/lx/northbridge.c
+++ svn/src/northbridge/amd/lx/northbridge.c
@@ -123,7 +123,7 @@ struct msr_defaults {
  */
 void print_conf(void)
 {
-#if CONFIG_DEFAULT_CONSOLE_LOGLEVEL >= BIOS_ERR
+#if CONFIG_DEFAULT_CONSOLE_LOGLEVEL >= ERROR
 	int i;
 	unsigned long iol;
 	msr_t msr;
@@ -173,98 +173,98 @@ void print_conf(void)
 		MDD_DMA_SHAD7, MDD_DMA_SHAD8, MDD_DMA_SHAD9, GL_END
 	};
 
-	printk(BIOS_DEBUG, "---------- CPU ------------\n");
+	printk(DEBUG, "---------- CPU ------------\n");
 
 	for (i = 0; cpu_msr_defs[i] != GL_END; i++) {
 		msr = rdmsr(cpu_msr_defs[i]);
-		printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n",
+		printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n",
 			     cpu_msr_defs[i], msr.hi, msr.lo);
 	}
 
-	printk(BIOS_DEBUG, "---------- GLIU 0 ------------\n");
+	printk(DEBUG, "---------- GLIU 0 ------------\n");
 
 	for (i = 0; gliu0_msr_defs[i] != GL_END; i++) {
 		msr = rdmsr(gliu0_msr_defs[i]);
-		printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n",
+		printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n",
 			     gliu0_msr_defs[i], msr.hi, msr.lo);
 	}
 
-	printk(BIOS_DEBUG, "---------- GLIU 1 ------------\n");
+	printk(DEBUG, "---------- GLIU 1 ------------\n");
 
 	for (i = 0; gliu1_msr_defs[i] != GL_END; i++) {
 		msr = rdmsr(gliu1_msr_defs[i]);
-		printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n",
+		printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n",
 			     gliu1_msr_defs[i], msr.hi, msr.lo);
 	}
 
-	printk(BIOS_DEBUG, "---------- RCONF ------------\n");
+	printk(DEBUG, "---------- RCONF ------------\n");
 
 	for (i = 0; rconf_msr[i] != GL_END; i++) {
 		msr = rdmsr(rconf_msr[i]);
-		printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", rconf_msr[i],
+		printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", rconf_msr[i],
 			     msr.hi, msr.lo);
 	}
 
-	printk(BIOS_DEBUG, "---------- VARIA ------------\n");
+	printk(DEBUG, "---------- VARIA ------------\n");
 	msr = rdmsr(0x51300010);
-	printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", 0x51300010, msr.hi,
+	printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", 0x51300010, msr.hi,
 		     msr.lo);
 
 	msr = rdmsr(0x51400015);
-	printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", 0x51400015, msr.hi,
+	printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", 0x51400015, msr.hi,
 		     msr.lo);
 
-	printk(BIOS_DEBUG, "---------- DIVIL IRQ ------------\n");
+	printk(DEBUG, "---------- DIVIL IRQ ------------\n");
 	msr = rdmsr(MDD_IRQM_YLOW);
-	printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MDD_IRQM_YLOW, msr.hi,
+	printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MDD_IRQM_YLOW, msr.hi,
 		     msr.lo);
 	msr = rdmsr(MDD_IRQM_YHIGH);
-	printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MDD_IRQM_YHIGH,
+	printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MDD_IRQM_YHIGH,
 		     msr.hi, msr.lo);
 	msr = rdmsr(MDD_IRQM_ZLOW);
-	printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MDD_IRQM_ZLOW, msr.hi,
+	printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MDD_IRQM_ZLOW, msr.hi,
 		     msr.lo);
 	msr = rdmsr(MDD_IRQM_ZHIGH);
-	printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MDD_IRQM_ZHIGH,
+	printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MDD_IRQM_ZHIGH,
 		     msr.hi, msr.lo);
 
-	printk(BIOS_DEBUG, "---------- PCI ------------\n");
+	printk(DEBUG, "---------- PCI ------------\n");
 
 	for (i = 0; pci_msr[i] != GL_END; i++) {
 		msr = rdmsr(pci_msr[i]);
-		printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", pci_msr[i],
+		printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", pci_msr[i],
 			     msr.hi, msr.lo);
 	}
 
-	printk(BIOS_DEBUG, "---------- LPC/UART DMA ------------\n");
+	printk(DEBUG, "---------- LPC/UART DMA ------------\n");
 
 	for (i = 0; dma_msr[i] != GL_END; i++) {
 		msr = rdmsr(dma_msr[i]);
-		printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", dma_msr[i],
+		printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", dma_msr[i],
 			     msr.hi, msr.lo);
 	}
 
-	printk(BIOS_DEBUG, "---------- CS5536 ------------\n");
+	printk(DEBUG, "---------- CS5536 ------------\n");
 
 	for (i = 0; cs5536_msr[i] != GL_END; i++) {
 		msr = rdmsr(cs5536_msr[i]);
-		printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", cs5536_msr[i],
+		printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", cs5536_msr[i],
 			     msr.hi, msr.lo);
 	}
 
 	iol = inl(GPIO_IO_BASE + GPIOL_INPUT_ENABLE);
-	printk(BIOS_DEBUG, "IOR 0x%08X is now 0x%08lX\n",
+	printk(DEBUG, "IOR 0x%08X is now 0x%08lX\n",
 		     GPIO_IO_BASE + GPIOL_INPUT_ENABLE, iol);
 	iol = inl(GPIOL_EVENTS_ENABLE);
-	printk(BIOS_DEBUG, "IOR 0x%08X is now 0x%08lX\n",
+	printk(DEBUG, "IOR 0x%08X is now 0x%08lX\n",
 		     GPIO_IO_BASE + GPIOL_EVENTS_ENABLE, iol);
 	iol = inl(GPIOL_INPUT_INVERT_ENABLE);
-	printk(BIOS_DEBUG, "IOR 0x%08X is now 0x%08lX\n",
+	printk(DEBUG, "IOR 0x%08X is now 0x%08lX\n",
 		     GPIO_IO_BASE + GPIOL_INPUT_INVERT_ENABLE, iol);
 	iol = inl(GPIO_MAPPER_X);
-	printk(BIOS_DEBUG, "IOR 0x%08X is now 0x%08lX\n", GPIO_IO_BASE + GPIO_MAPPER_X,
+	printk(DEBUG, "IOR 0x%08X is now 0x%08lX\n", GPIO_IO_BASE + GPIO_MAPPER_X,
 		     iol);
-#endif				//CONFIG_DEFAULT_CONSOLE_LOGLEVEL >= BIOS_ERR
+#endif				//CONFIG_DEFAULT_CONSOLE_LOGLEVEL >= ERROR
 }
 
 /* todo: add a resource record. We don't do this here because this may be called when 
@@ -278,7 +278,7 @@ int sizeram(void)
 
 	/* Get the RAM size from the memory controller as calculated and set by auto_size_dimm() */
 	msr = rdmsr(MC_CF07_DATA);
-	printk(BIOS_DEBUG, "sizeram: _MSR MC_CF07_DATA: %08x:%08x\n", msr.hi, msr.lo);
+	printk(DEBUG, "sizeram: _MSR MC_CF07_DATA: %08x:%08x\n", msr.hi, msr.lo);
 
 	/* dimm 0 */
 	dimm = msr.hi;
@@ -294,7 +294,7 @@ int sizeram(void)
 		sizem += 4 << ((dimm >> 12) & 0x0F); /* 1:8MB, 2:16MB, 3:32MB, 4:64MB, ... 7:512MB, 8:1GB */
 	}
 
-	printk(BIOS_DEBUG, "sizeram: sizem 0x%xMB\n", sizem);
+	printk(DEBUG, "sizeram: sizem 0x%xMB\n", sizem);
 	return sizem;
 }
 
@@ -306,7 +306,7 @@ static void northbridge_init(device_t de
 {
 	//msr_t msr;
 
-	printk(BIOS_SPEW, ">> Entering northbridge.c: %s\n", __func__);
+	printk(SPEW, ">> Entering northbridge.c: %s\n", __func__);
 
 	enable_shadow(dev);
 	/*
@@ -317,8 +317,8 @@ static void northbridge_init(device_t de
 	//msr.hi |= 0x3;
 	//msr.lo |= 0x30000;
 
-	//printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MSR_GLIU0_SHADOW, msr.hi, msr.lo);
-	//printk(BIOS_DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MSR_GLIU1_SHADOW, msr.hi, msr.lo);
+	//printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MSR_GLIU0_SHADOW, msr.hi, msr.lo);
+	//printk(DEBUG, "MSR 0x%08X is now 0x%08X:0x%08X\n", MSR_GLIU1_SHADOW, msr.hi, msr.lo);
 }
 
 void northbridge_set_resources(struct device *dev)
@@ -340,7 +340,7 @@ void northbridge_set_resources(struct de
 		struct bus *bus;
 		bus = &dev->link[link];
 		if (bus->children) {
-			printk(BIOS_DEBUG, "my_dev_set_resources: assign_resources %d\n",
+			printk(DEBUG, "my_dev_set_resources: assign_resources %d\n",
 			     bus->secondary);
 			assign_resources(bus);
 		}
@@ -405,7 +405,7 @@ static void pci_domain_set_resources(dev
 	u32 tomk;
 	device_t mc_dev;
 
-	printk(BIOS_SPEW, ">> Entering northbridge.c: %s\n", __func__);
+	printk(SPEW, ">> Entering northbridge.c: %s\n", __func__);
 
 	mc_dev = dev->link[0].children;
 	if (mc_dev) {
@@ -429,7 +429,7 @@ static void pci_domain_set_resources(dev
 static void pci_domain_enable(device_t dev)
 {
 
-	printk(BIOS_SPEW, ">> Entering northbridge.c: %s\n", __func__);
+	printk(SPEW, ">> Entering northbridge.c: %s\n", __func__);
 
 	// do this here for now -- this chip really breaks our device model
 	northbridge_init_early();
@@ -438,12 +438,12 @@ static void pci_domain_enable(device_t d
 
 	setup_realmode_idt();
 
-	printk(BIOS_DEBUG, "Before VSA:\n");
+	printk(DEBUG, "Before VSA:\n");
 	// print_conf();
 
 	do_vsmbios();		// do the magic stuff here, so prepare your tambourine ;)
 
-	printk(BIOS_DEBUG, "After VSA:\n");
+	printk(DEBUG, "After VSA:\n");
 	// print_conf();
 
 	graphics_init();
@@ -460,7 +460,7 @@ static struct device_operations pci_doma
 
 static void cpu_bus_init(device_t dev)
 {
-	printk(BIOS_SPEW, ">> Entering northbridge.c: %s\n", __func__);
+	printk(SPEW, ">> Entering northbridge.c: %s\n", __func__);
 
 	initialize_cpus(&dev->link[0]);
 }
@@ -479,7 +479,7 @@ static struct device_operations cpu_bus_
 
 static void enable_dev(struct device *dev)
 {
-	printk(BIOS_SPEW, ">> Entering northbridge.c: %s with path %d\n",
+	printk(SPEW, ">> Entering northbridge.c: %s with path %d\n",
 		    __func__, dev->path.type);
 
 	/* Set the operations if it is a special bus type */
Index: svn/src/northbridge/amd/lx/northbridgeinit.c
===================================================================
--- svn.orig/src/northbridge/amd/lx/northbridgeinit.c
+++ svn/src/northbridge/amd/lx/northbridgeinit.c
@@ -107,7 +107,7 @@ static void writeglmsr(struct gliutable 
 	msr.lo = gl->lo;
 	msr.hi = gl->hi;
 	wrmsr(gl->desc_name, msr);	// MSR - see table above
-	printk(BIOS_DEBUG, "%s: MSR 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);	// GX3
+	printk(DEBUG, "%s: MSR 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);	// GX3
 }
 
 static void ShadowInit(struct gliutable *gl)
@@ -131,11 +131,11 @@ static void SysmemInit(struct gliutable 
 	 * system. We will adjust for SMM now and Frame Buffer later.
 	 */
 	sizembytes = sizeram();
-	printk(BIOS_DEBUG, "%s: enable for %dMBytes\n", __func__, sizembytes);
+	printk(DEBUG, "%s: enable for %dMBytes\n", __func__, sizembytes);
 	sizebytes = sizembytes << 20;
 
 	sizebytes -= ((SMM_SIZE * 1024) + 1);
-	printk(BIOS_DEBUG, "usable RAM: %d bytes\n", sizebytes);
+	printk(DEBUG, "usable RAM: %d bytes\n", sizebytes);
 
 	/* 20 bit address The bottom 12 bits go into bits 20-31 in msr.lo
 	   The top 8 bits go into 0-7 of msr.hi. */
@@ -147,7 +147,7 @@ static void SysmemInit(struct gliutable 
 	msr.lo = sizebytes;
 
 	wrmsr(gl->desc_name, msr);	// MSR - see table above
-	printk(BIOS_DEBUG, "%s: MSR 0x%08lx, val 0x%08x:0x%08x\n", __func__,
+	printk(DEBUG, "%s: MSR 0x%08lx, val 0x%08x:0x%08x\n", __func__,
 		     gl->desc_name, msr.hi, msr.lo);
 }
 
@@ -159,12 +159,12 @@ static void SMMGL0Init(struct gliutable 
 
 	sizebytes -= (SMM_SIZE * 1024);
 
-	printk(BIOS_DEBUG, "%s: %d bytes\n", __func__, sizebytes);
+	printk(DEBUG, "%s: %d bytes\n", __func__, sizebytes);
 
 	/* calculate the Two's complement offset */
 	offset = sizebytes - SMM_OFFSET;
 	offset = (offset >> 12) & 0x000fffff;
-	printk(BIOS_DEBUG, "%s: offset is 0x%08x\n", __func__, SMM_OFFSET);
+	printk(DEBUG, "%s: offset is 0x%08x\n", __func__, SMM_OFFSET);
 
 	msr.hi = offset << 8 | gl->hi;
 	msr.hi |= SMM_OFFSET >> 24;
@@ -173,14 +173,14 @@ static void SMMGL0Init(struct gliutable 
 	msr.lo |= ((~(SMM_SIZE * 1024) + 1) >> 12) & 0xfffff;
 
 	wrmsr(gl->desc_name, msr);	// MSR - See table above
-	printk(BIOS_DEBUG, "%s: MSR 0x%08lx, val 0x%08x:0x%08x\n", __func__,
+	printk(DEBUG, "%s: MSR 0x%08lx, val 0x%08x:0x%08x\n", __func__,
 		     gl->desc_name, msr.hi, msr.lo);
 }
 
 static void SMMGL1Init(struct gliutable *gl)
 {
 	msr_t msr;
-	printk(BIOS_DEBUG, "%s:\n", __func__);
+	printk(DEBUG, "%s:\n", __func__);
 
 	msr.hi = gl->hi;
 	/* I don't think this is needed */
@@ -190,7 +190,7 @@ static void SMMGL1Init(struct gliutable 
 	msr.lo |= ((~(SMM_SIZE * 1024) + 1) >> 12) & 0xfffff;
 
 	wrmsr(gl->desc_name, msr);	// MSR - See table above
-	printk(BIOS_DEBUG, "%s: MSR 0x%08lx, val 0x%08x:0x%08x\n", __func__,
+	printk(DEBUG, "%s: MSR 0x%08lx, val 0x%08x:0x%08x\n", __func__,
 		     gl->desc_name, msr.hi, msr.lo);
 }
 
@@ -290,7 +290,7 @@ static void GLPCIInit(void)
 		msr.lo |=
 		    GLPCI_RC_LOWER_EN_SET | GLPCI_RC_LOWER_PF_SET |
 		    GLPCI_RC_LOWER_WC_SET;
-		printk(BIOS_DEBUG, "GLPCI R1: system msr.lo 0x%08x msr.hi 0x%08x\n",
+		printk(DEBUG, "GLPCI R1: system msr.lo 0x%08x msr.hi 0x%08x\n",
 			     msr.lo, msr.hi);
 		msrnum = GLPCI_RC1;
 		wrmsr(msrnum, msr);
@@ -304,7 +304,7 @@ static void GLPCIInit(void)
 	      (SMM_SIZE * 1024 - 1)) >> 12) << GLPCI_RC_UPPER_TOP_SHIFT;
 	msr.lo = (SMM_OFFSET >> 12) << GLPCI_RC_LOWER_BASE_SHIFT;
 	msr.lo |= GLPCI_RC_LOWER_EN_SET | GLPCI_RC_LOWER_PF_SET;
-	printk(BIOS_DEBUG, "GLPCI R2: system msr.lo 0x%08x msr.hi 0x%08x\n", msr.lo,
+	printk(DEBUG, "GLPCI R2: system msr.lo 0x%08x msr.hi 0x%08x\n", msr.lo,
 		     msr.hi);
 	msrnum = GLPCI_RC2;
 	wrmsr(msrnum, msr);
@@ -435,7 +435,7 @@ static void ClockGatingInit(void)
 		msr = rdmsr(gating->msrnum);
 		msr.hi |= gating->msr.hi;
 		msr.lo |= gating->msr.lo;
-		/* printk(BIOS_DEBUG, "%s: MSR 0x%08x will be set to  0x%08x:0x%08x\n", __func__,
+		/* printk(DEBUG, "%s: MSR 0x%08x will be set to  0x%08x:0x%08x\n", __func__,
 		   gating->msrnum, msr.hi, msr.lo); */// GX3
 		wrmsr(gating->msrnum, msr);	// MSR - See the table above
 		gating += 1;
@@ -454,7 +454,7 @@ static void GeodeLinkPriority(void)
 		msr.hi |= prio->msr.hi;
 		msr.lo &= ~0xfff;
 		msr.lo |= prio->msr.lo;
-		/* printk(BIOS_DEBUG, "%s: MSR 0x%08x will be set to 0x%08x:0x%08x\n", __func__,
+		/* printk(DEBUG, "%s: MSR 0x%08x will be set to 0x%08x:0x%08x\n", __func__,
 		   prio->msrnum, msr.hi, msr.lo);  */// GX3
 		wrmsr(prio->msrnum, msr);	// MSR - See the table above
 		prio += 1;
@@ -651,7 +651,7 @@ static void enable_L1_cache(void)
 
 	// now program RCONF_DEFAULT
 	wrmsr(CPU_RCONF_DEFAULT, msr);
-	printk(BIOS_DEBUG, "CPU_RCONF_DEFAULT (1808): 0x%08X:0x%08X\n", msr.hi,
+	printk(DEBUG, "CPU_RCONF_DEFAULT (1808): 0x%08X:0x%08X\n", msr.hi,
 		     msr.lo);
 
 	// RCONF_BYPASS: Cache tablewalk properties and SMM/DMM header access properties.
@@ -663,7 +663,7 @@ static void enable_L1_cache(void)
 	    (msr.lo & 0xFFFF0000) | (SysMemCacheProp << 8) | SysMemCacheProp;
 	wrmsr(CPU_RCONF_BYPASS, msr);
 
-	printk(BIOS_DEBUG, "CPU_RCONF_BYPASS (180A): 0x%08x : 0x%08x\n", msr.hi,
+	printk(DEBUG, "CPU_RCONF_BYPASS (180A): 0x%08x : 0x%08x\n", msr.hi,
 		     msr.lo);
 }
 
@@ -695,7 +695,7 @@ static void enable_L2_cache(void)
 	msr.lo = 0x0f;
 	wrmsr(CPU_BC_L2_CONF, msr);
 
-	printk(BIOS_DEBUG, "L2 cache enabled\n");
+	printk(DEBUG, "L2 cache enabled\n");
 }
 
 static void setup_lx_cache(void)
@@ -748,7 +748,7 @@ uint32_t get_systop(void)
 void northbridge_init_early(void)
 {
 	int i;
-	printk(BIOS_DEBUG, "Enter %s\n", __func__);
+	printk(DEBUG, "Enter %s\n", __func__);
 
 	for (i = 0; gliutables[i]; i++)
 		GLIUInit(gliutables[i]);
@@ -768,5 +768,5 @@ void northbridge_init_early(void)
 	ClockGatingInit();
 
 	__asm__ __volatile__("FINIT\n");
-	printk(BIOS_DEBUG, "Exit %s\n", __func__);
+	printk(DEBUG, "Exit %s\n", __func__);
 }
Index: svn/src/northbridge/intel/e7501/debug.c
===================================================================
--- svn.orig/src/northbridge/intel/e7501/debug.c
+++ svn/src/northbridge/intel/e7501/debug.c
@@ -40,7 +40,7 @@ static void dump_pci_device(unsigned dev
 		unsigned char val;
 		if ((i & 0x0f) == 0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-                        printk(BIOS_DEBUG, "\n%02x:",i);
+                        printk(DEBUG, "\n%02x:",i);
 #else
 			print_debug("\n");
 			print_debug_hex8(i);
@@ -49,7 +49,7 @@ static void dump_pci_device(unsigned dev
 		}
 		val = pci_read_config8(dev, i);
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk(BIOS_DEBUG, " %02x", val);
+		printk(DEBUG, " %02x", val);
 #else
 		print_debug_char(' ');
 		print_debug_hex8(val);
@@ -102,7 +102,7 @@ static void dump_spd_registers(const str
 		if (device) {
 			int j;
 #if CONFIG_USE_PRINTK_IN_CAR
-			printk(BIOS_DEBUG, "dimm: %02x.0: %02x", i, device);
+			printk(DEBUG, "dimm: %02x.0: %02x", i, device);
 #else
 			print_debug("dimm: "); 
 			print_debug_hex8(i); 
@@ -114,7 +114,7 @@ static void dump_spd_registers(const str
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-					printk(BIOS_DEBUG, "\n%02x: ", j);
+					printk(DEBUG, "\n%02x: ", j);
 #else
 					print_debug("\n");
 					print_debug_hex8(j);
@@ -127,7 +127,7 @@ static void dump_spd_registers(const str
 				}
 				byte = status & 0xff;
 #if CONFIG_USE_PRINTK_IN_CAR
-				printk(BIOS_DEBUG, "%02x ", byte);
+				printk(DEBUG, "%02x ", byte);
 #else
 				print_debug_hex8(byte);
 				print_debug_char(' ');
@@ -139,7 +139,7 @@ static void dump_spd_registers(const str
 		if (device) {
 			int j;
 #if CONFIG_USE_PRINTK_IN_CAR
-                        printk(BIOS_DEBUG, "dimm: %02x.1: %02x", i, device);
+                        printk(DEBUG, "dimm: %02x.1: %02x", i, device);
 #else`
 			print_debug("dimm: "); 
 			print_debug_hex8(i); 
@@ -151,7 +151,7 @@ static void dump_spd_registers(const str
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-                                        printk(BIOS_DEBUG, "\n%02x: ", j);
+                                        printk(DEBUG, "\n%02x: ", j);
 #else
 					print_debug("\n");
 					print_debug_hex8(j);
@@ -164,7 +164,7 @@ static void dump_spd_registers(const str
 				}
 				byte = status & 0xff;
 #if CONFIG_USE_PRINTK_IN_CAR
-                                printk(BIOS_DEBUG, "%02x ", byte);
+                                printk(DEBUG, "%02x ", byte);
 #else
 				print_debug_hex8(byte);
 				print_debug_char(' ');
@@ -182,7 +182,7 @@ static void dump_smbus_registers(void)
                 int j;
 		if( smbus_read_byte(device, 0) < 0 ) continue;
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk(BIOS_DEBUG, "smbus: %02x", device);
+		printk(DEBUG, "smbus: %02x", device);
 #else
                 print_debug("smbus: ");
                 print_debug_hex8(device);
@@ -196,7 +196,7 @@ static void dump_smbus_registers(void)
                         }
                         if ((j & 0xf) == 0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-				printk(BIOS_DEBUG, "\n%02x: ",j);
+				printk(DEBUG, "\n%02x: ",j);
 #else
                 	        print_debug("\n");
                                 print_debug_hex8(j);
@@ -205,7 +205,7 @@ static void dump_smbus_registers(void)
                         }
                         byte = status & 0xff;
 #if CONFIG_USE_PRINTK_IN_CAR
-                        printk(BIOS_DEBUG, "%02x ", byte);
+                        printk(DEBUG, "%02x ", byte);
 #else
                         print_debug_hex8(byte);
                         print_debug_char(' ');
@@ -220,7 +220,7 @@ static void dump_io_resources(unsigned p
 
 	int i;
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk(BIOS_DEBUG, "%04x:\n", port);
+	printk(DEBUG, "%04x:\n", port);
 #else
         print_debug_hex16(port);
         print_debug(":\n");
@@ -229,7 +229,7 @@ static void dump_io_resources(unsigned p
                 uint8_t val;
                 if ((i & 0x0f) == 0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-			printk(BIOS_DEBUG, "%02x:", i);
+			printk(DEBUG, "%02x:", i);
 #else
                         print_debug_hex8(i);
                         print_debug_char(':');
@@ -237,7 +237,7 @@ static void dump_io_resources(unsigned p
                 }
                 val = inb(port);
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk(BIOS_DEBUG, " %02x",val);
+		printk(DEBUG, " %02x",val);
 #else
                 print_debug_char(' ');
                 print_debug_hex8(val);
@@ -256,7 +256,7 @@ static void dump_mem(unsigned start, uns
         for(i=start;i<end;i++) {
 		if((i & 0xf)==0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 #else	
 			print_debug("\n");
 			print_debug_hex32(i);
@@ -264,7 +264,7 @@ static void dump_mem(unsigned start, uns
 #endif
 		}
 #if CONFIG_USE_PRINTK_IN_CAR	
-		printk(BIOS_DEBUG, " %02x", (unsigned char)*((unsigned char *)i));
+		printk(DEBUG, " %02x", (unsigned char)*((unsigned char *)i));
 #else
 		print_debug(" ");
              	print_debug_hex8((unsigned char)*((unsigned char *)i));
Index: svn/src/northbridge/intel/e7520/northbridge.c
===================================================================
--- svn.orig/src/northbridge/intel/e7520/northbridge.c
+++ svn/src/northbridge/intel/e7520/northbridge.c
@@ -65,7 +65,7 @@ static void pci_domain_set_resources(dev
         pci_tolm = find_pci_tolm(&dev->link[0]);
 
 #if 1
-	printk(BIOS_DEBUG, "PCI mem marker = %x\n", pci_tolm);
+	printk(DEBUG, "PCI mem marker = %x\n", pci_tolm);
 #endif
 	/* FIXME Me temporary hack */
 	if(pci_tolm > 0xe0000000)
Index: svn/src/northbridge/intel/e7520/pciexp_porta.c
===================================================================
--- svn.orig/src/northbridge/intel/e7520/pciexp_porta.c
+++ svn/src/northbridge/intel/e7520/pciexp_porta.c
@@ -30,12 +30,12 @@ static unsigned int pcie_scan_bridge(str
 	int flag = 0;
 	do {
 		val = pci_read_config16(dev, 0x76);
-		printk(BIOS_DEBUG, "pcie porta 0x76: %02x\n", val);
+		printk(DEBUG, "pcie porta 0x76: %02x\n", val);
 		if((val & (1<<10) )&&(!flag)) { /* training error */
 			ctl = pci_read_config16(dev, 0x74);
 			pci_write_config16(dev, 0x74, (ctl | (1<<5)));
 			val = pci_read_config16(dev, 0x76);
-			printk(BIOS_DEBUG, "pcie porta reset 0x76: %02x\n", val);
+			printk(DEBUG, "pcie porta reset 0x76: %02x\n", val);
 			flag=1;
 			hard_reset();
 		}
Index: svn/src/northbridge/intel/e7525/northbridge.c
===================================================================
--- svn.orig/src/northbridge/intel/e7525/northbridge.c
+++ svn/src/northbridge/intel/e7525/northbridge.c
@@ -65,7 +65,7 @@ static void pci_domain_set_resources(dev
         pci_tolm = find_pci_tolm(&dev->link[0]);
 
 #if 1
-	printk(BIOS_DEBUG, "PCI mem marker = %x\n", pci_tolm);
+	printk(DEBUG, "PCI mem marker = %x\n", pci_tolm);
 #endif
 	/* FIXME Me temporary hack */
 	if(pci_tolm > 0xe0000000)
Index: svn/src/northbridge/intel/i3100/northbridge.c
===================================================================
--- svn.orig/src/northbridge/intel/i3100/northbridge.c
+++ svn/src/northbridge/intel/i3100/northbridge.c
@@ -86,7 +86,7 @@ static void pci_domain_set_resources(dev
         pci_tolm = find_pci_tolm(&dev->link[0]);
 
 #if 1
-	printk(BIOS_DEBUG, "PCI mem marker = %x\n", pci_tolm);
+	printk(DEBUG, "PCI mem marker = %x\n", pci_tolm);
 #endif
 	/* FIXME Me temporary hack */
 	if(pci_tolm > 0xe0000000)
Index: svn/src/northbridge/intel/i3100/pciexp_porta.c
===================================================================
--- svn.orig/src/northbridge/intel/i3100/pciexp_porta.c
+++ svn/src/northbridge/intel/i3100/pciexp_porta.c
@@ -52,12 +52,12 @@ static unsigned int pcie_scan_bridge(str
 	int flag = 0;
 	do {
 		val = pci_read_config16(dev, 0x76);
-		printk(BIOS_DEBUG, "pcie porta 0x76: %02x\n", val);
+		printk(DEBUG, "pcie porta 0x76: %02x\n", val);
 		if ((val & (1<<10)) && (!flag)) { /* training error */
 			ctl = pci_read_config16(dev, 0x74);
 			pci_write_config16(dev, 0x74, (ctl | (1<<5)));
 			val = pci_read_config16(dev, 0x76);
-			printk(BIOS_DEBUG, "pcie porta reset 0x76: %02x\n", val);
+			printk(DEBUG, "pcie porta reset 0x76: %02x\n", val);
 			flag=1;
 			hard_reset();
 		}
